<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/detail_ll_bottom"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_alignParentBottom="true"
    android:layout_marginTop="-7dp"
    android:background="@color/transparent"
    android:orientation="vertical"
    android:visibility="gone"
    tools:visibility="visible">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            android:layout_width="match_parent"
            android:layout_height="7dp"
            android:background="@drawable/shadow" />

        <RelativeLayout
            android:id="@+id/browser_install_hint_container"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@drawable/bg_browser_install_hint"
            android:visibility="gone"
            tools:visibility="visible">

            <ImageView
                android:id="@+id/browser_install_hint_iv"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="16dp"
                android:src="@drawable/ic_install_method_hint" />

            <TextView
                android:id="@+id/browser_install_hint_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="8dp"
                android:layout_toRightOf="@id/browser_install_hint_iv"
                android:textColor="@color/text_F9A755"
                android:textSize="12sp"
                app:lineHeight="12dp"
                tools:text="VIVO手机如何解决安装需要密码" />

            <ImageView
                android:id="@+id/browser_install_hint_arrow_iv"
                android:layout_width="8dp"
                android:layout_height="8dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="4dp"
                android:layout_toRightOf="@id/browser_install_hint_tv"
                android:src="@drawable/ic_install_method_arrow" />

            <ImageView
                android:layout_width="8dp"
                android:layout_height="8dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="16dp"
                android:src="@drawable/ic_install_method_close" />

            <View
                android:id="@+id/browser_install_hint_close_iv"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="8dp" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/install_hint_container"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@drawable/bg_install_hint"
            android:visibility="gone"
            tools:visibility="gone">

            <ImageView
                android:id="@+id/install_hint_iv"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="16dp"
                android:src="@drawable/ic_install_hint" />

            <TextView
                android:id="@+id/install_hint_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="8dp"
                android:layout_toRightOf="@id/install_hint_iv"
                android:textColor="@color/text_07B896"
                android:textSize="12sp"
                app:lineHeight="12dp"
                tools:text="游戏已安全检测，可放心安装" />

            <ImageView
                android:id="@+id/install_hint_arrow_iv"
                android:layout_width="8dp"
                android:layout_height="8dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="4dp"
                android:layout_toRightOf="@id/install_hint_tv"
                android:src="@drawable/ic_install_arrow" />

            <ImageView
                android:layout_width="8dp"
                android:layout_height="8dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="16dp"
                android:src="@drawable/ic_install_close" />

            <View
                android:id="@+id/install_hint_close_iv"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="8dp" />

        </RelativeLayout>
    </RelativeLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/background_white"
        android:paddingEnd="20dp"
        android:paddingBottom="10dp">

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/iv_vmode"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/iv_vmode_badge"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="-8dp"
            android:layout_marginBottom="-8dp"
            android:src="@drawable/ic_switch_game_smooth"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/iv_vmode"
            app:layout_constraintStart_toEndOf="@id/iv_vmode"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_vmode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingTop="4dp"
            android:text="畅玩 >"
            android:textColor="@color/text_subtitle"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/iv_vmode"
            app:layout_constraintStart_toStartOf="@+id/iv_vmode"
            app:layout_constraintTop_toBottomOf="@+id/iv_vmode"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.Group
            android:id="@+id/group_vmode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone"
            tools:visibility="visible"
            app:constraint_referenced_ids="iv_vmode,tv_vmode,iv_vmode_badge" />

        <ImageView
            android:id="@+id/iv_concern"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:layout_constraintStart_toEndOf="@id/iv_vmode"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_gamedetail_concern"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_concern"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingTop="4dp"
            android:text="关注"
            android:textColor="@color/text_subtitle"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/iv_concern"
            app:layout_constraintStart_toStartOf="@+id/iv_concern"
            app:layout_constraintTop_toBottomOf="@+id/iv_concern"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/iv_reserve"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            app:srcCompat="@drawable/ic_gamedetail_reserve"
            android:visibility="gone"
            app:layout_constraintStart_toEndOf="@id/iv_concern"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_reserve"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingTop="4dp"
            android:text="预约"
            android:textColor="@color/text_subtitle"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/iv_reserve"
            app:layout_constraintStart_toStartOf="@+id/iv_reserve"
            app:layout_constraintTop_toBottomOf="@+id/iv_reserve"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/iv_switch"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="20dp"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="10dp"
            android:visibility="gone"
            app:layout_constraintStart_toEndOf="@id/iv_reserve"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_gamedetail_switch_install"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_switch"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingTop="4dp"
            android:text="安装方式"
            android:textColor="@color/text_subtitle"
            android:textSize="10sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/iv_switch"
            app:layout_constraintStart_toStartOf="@+id/iv_switch"
            app:layout_constraintTop_toBottomOf="@+id/iv_switch"
            tools:visibility="visible" />

        <com.gh.gamecenter.feature.view.DownloadButton
            android:id="@+id/detail_progressbar"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="24dp"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="10dp"
            app:download_button_show_progress="true"
            app:download_button_text_size="@dimen/primary_text_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/iv_switch"
            app:layout_constraintTop_toTopOf="parent" />

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/downloadTipsLottie"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginTop="-8dp"
            android:layout_marginRight="8dp"
            android:visibility="gone"
            app:lottie_autoPlay="false"
            app:lottie_loop="true"
            app:lottie_repeatMode="restart"
            app:layout_constraintRight_toRightOf="@+id/detail_progressbar"
            app:layout_constraintTop_toTopOf="@+id/detail_progressbar" />

        <TextView
            android:id="@+id/overlayTv"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:drawableStart="@drawable/ic_smooth_game_button_hint"
            android:drawablePadding="4dp"
            android:gravity="center"
            android:text="启动（畅玩）"
            android:textColor="@color/white"
            android:textSize="@dimen/primary_text_size"
            app:layout_constraintBottom_toBottomOf="@id/detail_progressbar"
            app:layout_constraintEnd_toEndOf="@id/detail_progressbar"
            app:layout_constraintStart_toStartOf="@id/detail_progressbar"
            app:layout_constraintTop_toTopOf="@id/detail_progressbar" />

        <TextView
            android:id="@+id/multiVersionDownloadTv"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:drawablePadding="4dp"
            android:ellipsize="end"
            android:gravity="center"
            android:paddingStart="8dp"
            android:paddingEnd="8dp"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="@dimen/primary_text_size"
            android:visibility="gone"
            app:drawableEndCompat="@drawable/ic_jump_universal"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/detail_progressbar"
            app:layout_constraintEnd_toEndOf="@id/detail_progressbar"
            app:layout_constraintStart_toStartOf="@id/detail_progressbar"
            app:layout_constraintTop_toTopOf="@id/detail_progressbar"
            tools:text="选择下载你的版本" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>
